## org.apache.batik.swing.gvt
Class GVTTreeRendererAdapter

    java.lang.Object
      org.apache.batik.swing.gvt.GVTTreeRendererAdapter

All Implemented Interfaces:
  GVTTreeRendererListener

Direct Known Subclasses:
  ThumbnailDialog.ThumbnailGVTListener

public abstract class GVTTreeRendererAdapter
extends java.lang.Object
implements GVTTreeRendererListener

An adapter class that represents a listener to the `GVTTreeRendererEvent` events.

Constructor Summary
`GVTTreeRendererAdapter()`

Method Summary
`void` `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GVTTreeRendererAdapter

    public GVTTreeRendererAdapter()

Method Detail

### gvtRenderingPrepare

    public void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Called when a rendering is in its preparing phase.

  Specified by:
    `gvtRenderingPrepare` in interface `GVTTreeRendererListener`

### gvtRenderingStarted

    public void gvtRenderingStarted(GVTTreeRendererEvent e)

  Called when a rendering started.

  Specified by:
    `gvtRenderingStarted` in interface `GVTTreeRendererListener`

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.